(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     13507,        280]
NotebookOptionsPosition[     13936,        272]
NotebookOutlinePosition[     14510,        295]
CellTagsIndexPosition[     14467,        292]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dim$$ = 2, $CellContext`moon$$ = 
    True, $CellContext`points$$ = 8, $CellContext`r1$$ = 
    3.844*^8, $CellContext`r2$$ = 1.496*^11, $CellContext`result$$ = 
    True, $CellContext`sun$$ = True, $CellContext`t$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["Moon's position"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`t$$], 0, ""}, 0, 2 Pi}, {
      Hold["Earth-Moon distance"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r1$$], 3.844*^8, ""}, 3.57*^8, 4.07*^8}, {
      Hold["Earth-Sun distance"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r2$$], 1.496*^11, ""}, 1.471*^11, 1.521*^11}, {
      Hold["dimension"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`dim$$], 2, ""}, {2 -> " 2D ", 3 -> " 3D "}}, {
      Hold["number of points"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`points$$], 8, ""}, 
      Dynamic[
       If[$CellContext`dim$$ == 2, {8, 16, 32, 64}, {8, 16, 32}]]}, {
      Hold["tidal forces"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`moon$$], True, ""}, {True, False}}, {{
       Hold[$CellContext`sun$$], True, ""}, {True, False}}, {{
       Hold[$CellContext`result$$], True, ""}, {True, False}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1], "Moon (black)"}, {
          Manipulate`Place[2], "Sun (green)"}, {
          Manipulate`Place[3], "both (red)"}}, Alignment -> Left]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Item["Author: Tomas Franc"]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {420., {208., 212.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False, $CellContext`t$961$$ =
     0, $CellContext`r1$962$$ = 0, $CellContext`r2$963$$ = 
    0, $CellContext`dim$964$$ = False, $CellContext`moon$965$$ = 
    False, $CellContext`sun$966$$ = False, $CellContext`result$967$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`dim$$ = 2, $CellContext`moon$$ = 
        True, $CellContext`points$$ = 8, $CellContext`r1$$ = 
        3.844*^8, $CellContext`r2$$ = 1.496*^11, $CellContext`result$$ = 
        True, $CellContext`sun$$ = True, $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$961$$, 0], 
        Hold[$CellContext`r1$$, $CellContext`r1$962$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$963$$, 0], 
        Hold[$CellContext`dim$$, $CellContext`dim$964$$, False], 
        Hold[$CellContext`moon$$, $CellContext`moon$965$$, False], 
        Hold[$CellContext`sun$$, $CellContext`sun$966$$, False], 
        Hold[$CellContext`result$$, $CellContext`result$967$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`dim$$ == 2, 
        Graphics[{{Blue, 
           Circle[{0, 0}, $CellContext`RE]}, 
          Point[{0, 0}], {Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0}, 12 10^6 {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$]}}]}, {Green, Dashed, 
           Arrowheads[Medium], 
           Arrow[{{8.2 10^6, 0}, {12 10^6, 0}}]}, 
          Table[{
            Point[
             $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]]], 
            If[$CellContext`moon$$, {
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$]} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`sun$$, {Green, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`result$$, {Red, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]], \
$CellContext`g[$CellContext`i, $CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$]} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    
                    Sin[$CellContext`t$$]} - $CellContext`g[$CellContext`i, \
$CellContext`\[CurlyPhi]]]^3 + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 
                    0} - $CellContext`g[$CellContext`i, $CellContext`\
\[CurlyPhi]]]^3}]}, {}]}, {$CellContext`\[CurlyPhi], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}, {$CellContext`i, 0.2, 1, 0.2}]}, 
         PlotRange -> 12 10^6 {{-1, 1}, {-1, 1}}, ImageSize -> {420, 420}], 
        Graphics3D[{{Blue, 
           Opacity[0.3], 
           Sphere[{0, 0, 0}, $CellContext`RE]}, 
          Point[{0, 0, 0}], {Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0, 0}, 12 10^6 {
               Cos[$CellContext`t$$], 
               Sin[$CellContext`t$$], 0}}]}, {Green, Dashed, 
           Arrowheads[Medium], 
           Arrow[{{0, 0, 0}, 12 10^6 {1, 0, 0}}]}, 
          Table[{
            Point[
             $CellContext`f[$CellContext`\[Theta], $CellContext`\[CurlyPhi]]], 
            If[$CellContext`moon$$, {
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$], 0} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`sun$$, {Green, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}], 
            If[$CellContext`result$$, {Red, 
              Arrowheads[Small], 
              Arrow[{
                $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]], $CellContext`f[$CellContext`\[Theta], \
$CellContext`\[CurlyPhi]] + (3 
                  10^12 $CellContext`GmM/$CellContext`r1$$^2) {-
                   Cos[$CellContext`t$$], -Sin[$CellContext`t$$], 0} + 
                3 10^12 $CellContext`GmM ($CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[$CellContext`r1$$ {
                    Cos[$CellContext`t$$], 
                    Sin[$CellContext`t$$], 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3 + (3 10^12 $CellContext`GmS/$CellContext`r2$$^2) {-1, 0, 0} + 
                3 10^12 $CellContext`GmS ({$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]])/Norm[{$CellContext`r2$$, 0, 
                    0} - $CellContext`f[$CellContext`\[Theta], $CellContext`\
\[CurlyPhi]]]^3}]}, {}]}, {$CellContext`\[Theta], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}, {$CellContext`\[CurlyPhi], 0, 2 Pi, 2 
            Pi/$CellContext`points$$}]}, PlotRange -> 
         12 10^6 {{-1, 1}, {-1, 1}, {-1, 1}}, ImageSize -> {420, 420}, Boxed -> 
         False, SphericalRegion -> True, ViewAngle -> Pi/9]], 
      "Specifications" :> {
       "Moon's position", {{$CellContext`t$$, 0, ""}, 0, 2 Pi, ImageSize -> 
         Tiny, Appearance -> "Closed"}, Delimiter, 
        "Earth-Moon distance", {{$CellContext`r1$$, 3.844*^8, ""}, 3.57*^8, 
         4.07*^8, ImageSize -> Tiny, Appearance -> "Closed"}, 
        "Earth-Sun distance", {{$CellContext`r2$$, 1.496*^11, ""}, 1.471*^11, 
         1.521*^11, ImageSize -> Tiny, Appearance -> "Closed"}, Delimiter, 
        "dimension", {{$CellContext`dim$$, 2, ""}, {
         2 -> " 2D ", 3 -> " 3D "}}, Delimiter, 
        "number of points", {{$CellContext`points$$, 8, ""}, 
         Dynamic[
          If[$CellContext`dim$$ == 2, {8, 16, 32, 64}, {8, 16, 32}]], 
         ControlType -> Setter}, Delimiter, 
        "tidal forces", {{$CellContext`moon$$, True, ""}, {True, False}, 
         ControlPlacement -> 1}, {{$CellContext`sun$$, True, ""}, {
         True, False}, ControlPlacement -> 
         2}, {{$CellContext`result$$, True, ""}, {True, False}, 
         ControlPlacement -> 3}, 
        Grid[{{
           Manipulate`Place[1], "Moon (black)"}, {
           Manipulate`Place[2], "Sun (green)"}, {
           Manipulate`Place[3], "both (red)"}}, Alignment -> Left], Delimiter, 
        Item["Author: Tomas Franc"]}, "Options" :> {ControlPlacement -> Left},
       "DefaultOptions" :> {}],
     ImageSizeCache->{584., {239., 244.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`GmS = 132712 10^15; $CellContext`GmM = 
       0.0049 10^15; $CellContext`RE = 6.378 10^6; $CellContext`g[
         Pattern[$CellContext`i, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]]] := $CellContext`i $CellContext`RE {
          Cos[$CellContext`\[CurlyPhi]], 
          Sin[$CellContext`\[CurlyPhi]]}; $CellContext`f[
         Pattern[$CellContext`\[Theta], 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]]] := $CellContext`RE {
         Cos[$CellContext`\[Theta]] Cos[$CellContext`\[CurlyPhi]], 
          Cos[$CellContext`\[Theta]] Sin[$CellContext`\[CurlyPhi]], 
          Sin[$CellContext`\[Theta]]}); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
},
WindowSize->{623, 499},
WindowMargins->{{640, Automatic}, {Automatic, 221}},
Visible->True,
AuthoredSize->{623.2800000000001, 499.55},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 12469, 237, 485, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Ux0hUNnTB1STgCwdfHBvlyHv *)
